ChangeSet 1.2449.2.9, 2004/11/04 11:59:39-08:00, greg@kroah.com

kevent: fix build error if CONFIG_KOBJECT_UEVENT is not selected.

Thanks to Serge Hallyn <serue@us.ibm.com> for pointing this out.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 lib/kobject_uevent.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/lib/kobject_uevent.c b/lib/kobject_uevent.c
--- a/lib/kobject_uevent.c	2004-11-04 16:30:17 -08:00
+++ b/lib/kobject_uevent.c	2004-11-04 16:30:17 -08:00
@@ -168,7 +168,7 @@
 
 #else
 static inline int send_uevent(const char *signal, const char *obj,
-			      const void *buf, int buflen, int gfp_mask)
+			      char **envp, int gfp_mask)
 {
 	return 0;
 }
